Create Digital Workspace crm.automatedsolution.add
Scope:
crmWho can execute the method: users with administrative access to the CRM section
This method will create a new digital workspace.
In the cloud, the maximum number of digital workspaces depends on the plan. In on-premise, the maximum number depends on technical limitations.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
fields* |
Field values (detailed description provided below) for creating a digital workspace in the form of a structure:
|
Parameter fields
Required parameters are marked with *
|
Name |
Description |
|
title* |
The name of the digital workspace. The link to the corresponding section on the account will be built based on the title of the digital workspace. |
|
typeIds |
An array of identifiers of SPAs that need to be linked to this workspace. If the SPA was previously linked to another workspace or to the CRM, it will disappear from there after being linked to the new workspace. A digital workspace without SPAs will not be displayed in the left menu. However, it can be found in the list of digital workspaces. |
Code Examples
How to Use Examples in Documentation
-
Create a digital workspace and immediately link SPAs to it
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"fields":{"title":"HR","typeIds":[1,2,3]}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.addcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"fields":{"title":"HR","typeIds":[1,2,3]},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.addBX24.callMethod( 'crm.automatedsolution.add', { "fields": { "title": "HR", "typeIds": [ 1, 2, 3 ] } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.add', [ 'fields' => [ 'title' => 'HR', 'typeIds' => [1, 2, 3] ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Create a digital workspace without SPAs
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"fields":{"title":"HR"}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.addcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"fields":{"title":"HR"},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.addBX24.callMethod( 'crm.automatedsolution.add', { "fields": { "title": "HR" } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.add', [ 'fields' => [ 'title' => 'HR' ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP status: 200
{
"result": {
"automatedSolution": {
"id": 1,
"title": "HR",
"typeIds": [
1,
2,
3
]
}
},
"time": {
"start": 1715849396.642359,
"finish": 1715849396.954623,
"duration": 0.31226396560668945,
"processing": 0.0068209171295166016,
"date_start": "2024-05-16T11:49:56+03:00",
"date_finish": "2024-05-16T11:49:56+03:00",
"operating_reset_at": 1715849996,
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
Root element of the response |
|
automatedSolution |
Object containing information about the added digital workspace |
|
time |
Information about the execution time of the request |
Error Handling
HTTP status: 400
{
"error": "BX_EMPTY_REQUIRED",
"error_description":"The required field 'Title' is not filled"
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
|
|
Insufficient permissions |
|
|
The number of available digital workspaces has been exceeded |
|
|
A required field is not filled |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not allowed to be called using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The methods must be called using the HTTPS protocol |
|
|
|
The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support |
|
|
|
The REST API is available only on commercial plans |
|
|
|
The user whose access token or webhook was used to call the method lacks permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Digital Workspaces
- Update Digital Workplace crm.automatedsolution.update
- Get data about the digital workplace by id crm.automatedsolution.get
- Get a list of digital workspaces crm.automatedsolution.list
- Delete Digital Workplace crm.automatedsolution.delete
- Get fields of the digital workplace crm.automatedsolution.fields